import java.io.*;
import java.util.*;

public class TestGen {

    static PrintWriter out;
    static Random rnd = new Random(0);
    static int tNumber;
    static void printTest(ArrayList<Integer> a, int k) throws IOException {
        if (tNumber < 10)
            out = new PrintWriter("../tests/0" + tNumber);
        else
            out = new PrintWriter("../tests/" + tNumber);
        tNumber++;
        out.println(a.size() + " " + k);
        for (int i = 0; i < a.size(); ++i) {
        	out.print(a.get(i));
        	if (i < a.size() - 1)
        		out.print(" ");
        }
        out.println();
        out.close();
    }
    static void genSample() throws FileNotFoundException {
        out = new PrintWriter("../tests/01");       
        out.println("5 2\r\n1 2 3 4 5");
        out.close();
        out = new PrintWriter("../tests/02");       
        out.println("5 0\r\n1 2 3 4 5");
        out.close();
    }
    static int randFromTo(int l, int r) {
        return rnd.nextInt(r - l + 1) + l;      
    }
    
    static ArrayList<Integer> genArr(int n, int max) {
    	ArrayList<Integer> ans = new ArrayList<Integer>();
    	for (int i = 0; i < n; i++)
    		ans.add(randFromTo(0, max));
		return ans;
    }
    
    public static void main(String[] args) throws IOException {
        genSample();
        tNumber = 3;
        printTest(genArr(5, 0), 1);
		printTest(genArr(10, 0), 5);
		printTest(genArr(10, 2), 0);
		for (int i = 0; i < 5; i++) {
			int n = randFromTo(20, 100);
			int k = randFromTo(0, Math.min(100, n));
			printTest(genArr(n, 100), k);
		}
		for (int i = 0; i < 10; i++) {
			int n = randFromTo(100, 500);
			int k = randFromTo(0, Math.min(100, n));
			printTest(genArr(n, 100000), k);
		}
		for (int i = 0; i < 5; i++) {
			int n = randFromTo(500, 1000);
			int k = randFromTo(0, 100);
			printTest(genArr(n, 1000000000), k);
		}
		for (int i = 0; i < 5; i++) {
			int n = randFromTo(900, 1000);
			int k = randFromTo(0, 100);
			printTest(genArr(n, 1000000000), k);
		}
		printTest(genArr(1000, 1000000000), 100);
		printTest(genArr(1000, 1000000000), 12);				
    }
}
